<app-checkbox
  title="My company has its own Passit server"
  subtext="If you signed up for Passit anywhere other than app.passit.io (e.g. passit.mycompany.com, or your self-hosted server), you’ll need to specify where you want to log&nbsp;in."
  [control]="showUrlControl"
  tabNumber="5"
></app-checkbox>

<StackLayout *ngIf="showUrlControl.value" class="m-t-20">
  <app-text-field
    autocorrect="false"
    autocapitalizationType="none"
    label="Server URL"
    [ngrxFormControl]="urlControl"
    overrideValidStyling="true"
    returnKeyType="done"
    showErrorBeforeSubmit="true"
    (returnPress)="onSubmit.emit()"
  ></app-text-field>
  <progress-indicator
    [inProgress]="urlControl.isValidationPending"
    [inputAction]="true"
  ></progress-indicator>
</StackLayout>
<Label
  *ngIf="formErrors._url"
  class="text-label text-label--error"
  text="Cannot connect to {{ formErrors._url?.$exists }}"
></Label>
